#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# A GTK Python GO client

import sys
sys.path.append('lib/')

import ConfigParser

import goban
import pygogui


def main():
    # Read config file
    settings = read_config_file()

    # Data
    gb = goban.Goban()
    network_mode = False
    our_color = None
    gui = pygogui.GUI(gb)

    gui.update(gb)

    while True:
        gui.do_event(gb, network_mode, our_color)
        gui.update(gb)
    


def read_config_file():
    ret = ConfigParser.ConfigParser()
    ret.read('pygo.cfg')
    return ret


if __name__ == '__main__': main()
